org.eclipse.emf.cdo.ui.widgets

## Class CommitHistoryComposite.Input.IllegalInputException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.eclipse.emf.cdo.ui.widgets.CommitHistoryComposite.Input.IllegalInputException

- All Implemented Interfaces:
    java.io.Serializable
  Enclosing class:
    CommitHistoryComposite.Input

      public static class CommitHistoryComposite.Input.IllegalInputException
      extends java.lang.Exception

  Since:
    4.4
  Author:
    Eike Stepper
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IllegalInputException(java.lang.String message)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IllegalInputException

          public IllegalInputException(java.lang.String message)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html